Package org.apache.sysds.runtime.iogen.codegen

# Class MatrixCodeGen

java.lang.Object
org.apache.sysds.runtime.iogen.template.TemplateCodeGenBase
org.apache.sysds.runtime.iogen.codegen.MatrixCodeGen

public class MatrixCodeGen extends TemplateCodeGenBase

## Constructor Summary

Constructors
Constructor
Description
`MatrixCodeGen(CustomProperties properties, String className)`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateCodeCPP()`
`String`
`generateCodeJava(FormatIdentifyer formatIdentifyer)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixCodeGen

public MatrixCodeGen(CustomProperties properties, String className)

## Method Details

### generateCodeJava

public String generateCodeJava(FormatIdentifyer formatIdentifyer)

Specified by:
  `generateCodeJava` in class `TemplateCodeGenBase`

### generateCodeCPP

public String generateCodeCPP()

Specified by:
  `generateCodeCPP` in class `TemplateCodeGenBase`